Skip to main content
GET
/
robots
/
{robotId}
/
attributeDefinitions
Returns all attribute definitions for a robot
curl --request GET \
  --url https://api.inorbit.ai/robots/{robotId}/attributeDefinitions \
  --header 'x-auth-inorbit-app-key: <api-key>'
[
  {
    "id": "<string>",
    "label": "<string>",
    "mapping": {
      "source": "<string>",
      "key": "<string>",
      "topic": "<string>",
      "namespace": "<string>"
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://inorbitinc.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-auth-inorbit-app-key
string
header
required

InOrbit appKey authenticates API requests using a token.

You can obtain your appKey in the Authentication docs.

Path Parameters

robotId
string
required

The robot's id

Response

A list with all attributes definitions

id
string
required

Attribute id

label
string
required

User-defined label

mapping
object

Defines the mapping from a robot data source